unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, cad, ExtDlgs;

type
  TForm1 = class(TForm)
    MyCAD1: TMyCAD;
    BitBtn1: TBitBtn;
    OpenPictureDialog1: TOpenPictureDialog;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin

  OpenPictureDialog1.InitialDir:=  ExtractFilePath( Application.ExeName );

  if   OpenPictureDialog1.execute then
  begin
      MyCAD1.GetSelectedShape.Brush.Bitmap:=TBitmap.Create;
      MyCAD1.GetSelectedShape.Brush.Bitmap.LoadFromFile( OpenPictureDialog1.FileName);
      MyCAD1.Invalidate;
      //do not free  the Brush.Bitmap, it will be free at MyCAD.
   end;
end;

procedure TForm1.FormShow(Sender: TObject);
var
  p: array of TmyPoint;
begin
 if MyCAD1.GetShapeByName('RectangleShape') = nil then
 Begin

  MyCAD1.AddShapeByCode(MyCAD1,spRectangle, 'RectangleShape', [MyPoint(90, 11),
    MyPoint(180, 11), MyPoint(180,70), MyPoint(90, 70)], 0);
  end;



  

  SetLength(P, 4);
  P[0] := MyPoint(390, 11);
  p[1] := MyPoint(380, 70);
  p[2] := MyPoint(210, 10);
  p[3] := MyPoint(110, 190);
  if MyCAD1.GetShapeByName('PolygonShapeArray') = nil then
 Begin

  MyCAD1.AddShapeByCode(MyCAD1,spPolygon, 'PolygonShapeArray', p);
  end;
  SetLength(P, 0);






end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 MyCAD1.ShapeTool:=spPolygon;
end;

end.
